ukui-notification-daemon (3.3.1.20220325-0k0) v101; urgency=medium

  * 修改为quilt格式

 -- Xie Wei <xiewei@kylinos.cn>  Wed, 01 Jun 2022 17:06:32 +0800

ukui-notification-daemon (3.3.1.20220325) v101; urgency=medium

  *BUG 号:#110283    105891    104305    102936    101475    101336    99304    98446    97427    97344    97178    97177    95402
  *需求号:
  *其他改动说明:

 -- yinjie-zhang <zhangyinjie@kylinos.cn>  Fri, 25 Mar 2022 10:25:55 +0800

ukui-notification-daemon (3.3.1.20220321) v101; urgency=medium

  *BUG 号:
  *需求号:
  *其他改动说明:代码走查

 -- yinjie-zhang <zhangyinjie@kylinos.cn>  Mon, 21 Mar 2022 09:00:39 +0800

ukui-notification-daemon (3.3.1.1201) v101; urgency=medium

  *BUG 号:#83563  15号字体，弹框提示字体显示不全 
  *需求号:
  *其他改动说明:
  *其他改动影响域：

 -- yinjie-zhang <zhangyinjie@kylinos.cn>  Wed, 01 Dec 2021 15:22:39 +0800

ukui-notification-daemon (3.3.1.1009) v101; urgency=medium

  * 改动
    - bug号：
    V10SP1:
    #84318【通知】桌面弹窗的截图通知点击跳转到浏览器，侧边栏的截图通知点击跳转到看图；建议两种方式跳转的应用一致
    Intel:
    #82747【通知】【token】护眼中心休息提醒和腾讯应用token过期提醒不是强提醒，右上角有×号>；且内容显示不全，图标不准确，也不会被侧边栏顶出
    - 需求号：  
    -其他改动说明：V10SP1(任务52687、需求8643，代码回退，后期进blueprint版本)

 -- yinjie-zhang <zhangyinjie1001@163.com>  Sat, 09 Oct 2021 17:29:04 +0800

ukui-notification-daemon (3.3.1.0929) v101; urgency=medium

  * 改动：
    - bug号：
    - 需求号：  
    -其他改动说明：修改版本号为3.3.1.0929，使其高于Intel中的版本号，便于OTA升级

 -- yinjie-zhang <zhangyinjie1001@163.com>  Wed, 29 Sep 2021 11:35:11 +0800

ukui-notification-daemon (1.1.1.0927) v101; urgency=medium

  * 改动：
    - bug号：
      Intel(82747:护眼中心休息提醒和腾讯应用token过期提醒不是强提醒，右上角有×号；且内容显示不全，图标不准确，也不会被侧边栏顶出)
    - 需求号：  
    - 其他改动说明：

 -- yinjie-zhang <zhangyinjie1001@163.com>  Mon, 27 Sep 2021 08:59:19 +0800

ukui-notification-daemon (1.1.1.0923) v101; urgency=medium

  * 改动：
    - bug号：V10-sp1(80931 78987 77758 75453 75451) Intel(79633 53937)
    - 需求号：V10-sp1(8643)  
    - 其他改动说明：

 -- yinjie-zhang <zhangyinjie1001@163.com>  Wed, 22 Sep 2021 09:49:07 +0800

ukui-notification-daemon (1.1.1.0915) v101; urgency=medium

  * 改动：
    - bug号：V10-sp1(73538 77267 78339 79329)
    - 需求号：#52687  
    - 其他改动说明：

 -- yinjie-zhang <zhangyinjie1001@163.com>  Thu, 16 Sep 2021 14:06:56 +0800

ukui-notification-daemon (1.1.1.0908) v101; urgency=medium

  * 改动：
    - bug号：V10-sp1(78695 78665 78706);  V10-Intel(79154 75453 75451 75450)
    - 需求号：
    - 其他改动说明：主线版本和Intel版本代码合并，此后使用一个包软件包，包版本从1.1.1.0908开始

 -- yinjie-zhang <zhangyinjie1001@163.com>  Wed, 08 Sep 2021 17:29:30 +0800

ukui-notification-daemon (1.0.2-2.0015) v101; urgency=medium

  * 改动：
    - bug号：71820 70074 69500 69080 69045 67170 69448 67380 66776
    - 需求号：7807 通知中心点击跳转需求
    - 其他改动说明：兼容旧版本通知协议

 -- yinjie-zhang <zhangyinjie1001@163.com>  Fri, 06 Aug 2021 13:57:19 +0800

ukui-notification-daemon (1.0.2-2.0014hw1) v101.hw; urgency=medium

  * 改动:
    - bug号: 无
    - 需求号：无
    - 其他改动说明: 去除掉使用dbus获取屏幕信息接口，使用qt默认机制获取

 -- liushanwen <liushanwen@kylinos.cn>  Tue, 10 Aug 2021 16:04:03 +0800

ukui-notification-daemon (1.0.2-2.0012.hw1) v101.hw; urgency=medium

  * 改动:
    - bug号: 无
    - 需求号：无
    - 其他改动说明: 去除掉使用dbus获取屏幕信息接口，使用qt默认机制获取

 -- liushanwen <liushanwen@kylinos.cn>  Mon, 26 Jul 2021 17:08:49 +0800

ukui-notification-daemon (1.0.2-2.0011) v101; urgency=medium

  * 改动:
    - bug号: 68510
    - 需求号：无
    - 其他改动说明: 当应用传过来的appName为空时，则会出现core文件Bug修复

 -- liushanwen <liushanwen@kylinos.cn>  Wed, 21 Jul 2021 21:38:29 +0800

ukui-notification-daemon (1.0.2-2.0010) v101; urgency=medium

  * 改动:
    - bug号: 无
    - 需求号：6908、7034
    - 其他改动说明: 通知弹窗加入通知拦截功能，通知提示音功能，加入提示音依赖库

 -- liushanwen <liushanwen@kylinos.cn>  Wed, 30 Jun 2021 15:04:51 +0800

ukui-notification-daemon (1.0.2-2.0010) v101; urgency=medium

  * 改动:
    - bug号: 无
    - 需求号：6908、7034
    - 其他改动说明: 通知弹窗加入通知拦截功能，通知提示音功能

 -- liushanwen <liushanwen@kylinos.cn>  Wed, 30 Jun 2021 15:04:51 +0800

ukui-notification-daemon (1.0.2-2.0010hw1) v101.hw; urgency=medium

  * 改动:
    - bug号: 60515、61724、61606、61430、57187
    - 需求号：无
    - 其他改动说明: 进入使用模式或者首次安装系统时，计算通知弹窗透明窗口大小不准确，导致显示位置异常；

 -- liushanwen <liushanwen@kylinos.cn>  Wed, 23 Jun 2021 15:27:20 +0800

ukui-notification-daemon (1.0.2-2.0009) v101; urgency=medium

  * 改动:
    - bug号: 60515、61724、61606、61430、57187
    - 需求号：无
    - 其他改动说明: 进入使用模式或者首次安装系统时，计算通知弹窗透明窗口大小不准确，导致显示位置异常；

 -- liushanwen <liushanwen@kylinos.cn>  Wed, 23 Jun 2021 15:27:20 +0800

ukui-notification-daemon (1.0.2-2.0009) v101; urgency=medium

  * 改动:
    - bug号: 60515、61724、61606、61430、57187
    - 需求号：无
    - 其他改动说明: 进入使用模式或者首次安装系统时，计算通知弹窗透明窗口大小不准确，导致显示位置异常；

 -- liushanwen <liushanwen@kylinos.cn>  Wed, 23 Jun 2021 15:27:20 +0800

ukui-notification-daemon (1.0.2-2.0009) v101; urgency=medium

  * 改动:
    - bug号: 60515、61724、61606、61430、57187
    - 需求号：无
    - 其他改动说明: 进入使用模式或者首次安装系统时，计算通知弹窗透明窗口大小不准确，导致显示位置异常；

 -- liushanwen <liushanwen@kylinos.cn>  Thu, 17 Jun 2021 20:38:54 +0800

ukui-notification-daemon (1.0.2-2.1009) v101; urgency=medium

  * 改动:
    - bug号: 60323
    - 需求号：无
    - 其他改动说明: 通知弹窗body字段未自适应主题，当切换到深色主题时，字体看不清楚；

 -- liushanwen <liushanwen@kylinos.cn>  Tue, 08 Jun 2021 19:27:07 +0800

ukui-notification-daemon (1.0.2-2.0006) v101; urgency=medium

  *改动:
    - bug号: 无
    - 需求号：6456
    - 其他改动说明: 通知弹窗按照设计稿要求，修改标题字体大小、body字段字体颜色、关闭按钮样式；通知弹窗的位置在任务栏异常的情况下，增加使用qt接口获取主屏坐标，屏幕宽度,增加任	务栏dbus是否可用判断

 -- liushanwen <liushanwen@kylinos.cn>  Fri, 04 Jun 2021 14:18:15 +0800

ukui-notification-daemon (1.0.2-2.0009hw1) v101.hw; urgency=medium

  * 改动:
    - bug号: 44719,44461
    - 需求号：6456
    - 其他改动说明: 通知弹窗按照设计稿要求，修改标题字体大小、body字段字体颜色、关闭按钮样式；通知弹窗的位置在任务栏异常的情况下，增加使用qt接口获取主屏坐标，屏幕宽度,增加任   务栏dbus是否可用判断

 -- liushanwen <liushanwen@kylinos.cn>  fri, 04 jun 2021 15:23:37 +0800

ukui-notification-daemon (1.0.2-2.0005) v101; urgency=medium

  *改动:
    - bug号: 无
    - 需求号：6456
    - 其他改动说明: 通知弹窗按照设计稿要求，修改标题字体大小、body字段字体颜色、关闭按钮样式；通知弹窗的位置在任务栏异常的情况下，增加使用qt接口获取主屏坐标，屏幕宽度,增加任	务栏dbus是否可用判断

 -- liushanwen <liushanwen@kylinos.cn>  Fri, 04 Jun 2021 14:18:15 +0800

ukui-notification-daemon (1.0.2-2.0005) v101; urgency=medium

  * 改动:
    - bug号: 57187
    - 需求号：无
    - 其他改动说明: 修改通知弹窗关闭图标大小，在缩放200%情况下，图标显示异常 

 -- liushanwen <liushanwen@kylinos.cn>  Mon, 31 May 2021 10:36:44 +0800

ukui-notification-daemon (1.0.2-2.0008hw1) v101.hw; urgency=medium

  * 改动:
    - bug号: 57353
    - 需求号：无
    - 其他改动说明: 通知弹窗在计算位置，未将y偏移坐标算入，导致显示位置异常

 -- liushanwen <liushanwen@kylinos.cn>  Mon, 31 May 2021 10:36:44 +0800

ukui-notification-daemon (1.0.2-2.0006) v101.hw; urgency=medium

  * 改动:
    - bug号:无
    - 需求号：无
    - 其他改动说明: 修改代码，在对于做处理的时候，内存泄露问题修复

 -- liushanwen <liushanwen@kylinos.cn>  Mon, 24 May 2021 09:41:36 +0800

ukui-notification-daemon (1.0.1-1-0003) v101; urgency=medium

  * 改动：
    - 修改在缩放比200%下，通知中心显示在屏幕中间 

 -- liushanwen <liushanwen@kylinos.cn>  Thu, 01 Apr 2021 11:31:09 +0800

ukui-notification-daemon (1.0.1-1-0001) v101; urgency=medium

  * 改动：
    - 适配华为990双屏问题 

 -- liushanwen <liushanwen@kylinos.cn>  Tue, 23 Mar 2021 16:52:48 +0800

ukui-notification-daemon (1.0.1-1) unstable; urgency=medium

  * New upstream release.
    - Fix the build errors. (Closes: #975149)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Sat, 28 Nov 2020 13:43:26 +0800

ukui-notification-daemon (1.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #968552)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Mon, 17 Aug 2020 09:28:11 +0000
